This patch fixes a bug in the DOS Segment Manager where it doesn't properly
check to see if a segment produced from a Cluster Segment Manger disk group
is active or not.

diff -ubr evms-2.3.2/plugins/dos/resolver.c evms-2.3.2-fix/plugins/dos/resolver.c
--- evms-2.3.2/plugins/dos/resolver.c	2003-12-11 11:48:09.000000000 -0600
+++ evms-2.3.2-fix/plugins/dos/resolver.c	2004-05-18 11:52:53.000000000 -0500
@@ -317,14 +317,16 @@
                 }
 
                 if (ld->object_type != DISK) {
-                        sprintf(seg->name, "%s.%d", name, minor);
+			if (isa_partition_number(&name[strlen(name)-1])==TRUE) {
+				strcat(name, ".");  // must be embedded dos partition
+			}
                 }
                 else {
                         if (name[strlen(name)-1] == '/') {
                                 strcat(name, "part");
                         }
-                        sprintf(seg->name, "%s%d", name, minor);
                 }
+		sprintf(seg->name, "%s%d", name, minor);
 
                 seg->disk_group = disk_group;
 
diff -ubr evms-2.3.2/plugins/dos/segs.c evms-2.3.2-fix/plugins/dos/segs.c
--- evms-2.3.2/plugins/dos/segs.c	2003-12-11 11:48:09.000000000 -0600
+++ evms-2.3.2-fix/plugins/dos/segs.c	2004-05-18 11:53:29.000000000 -0500
@@ -156,7 +156,7 @@
 
 }
 
-static boolean isa_partition_number(char *number)
+boolean isa_partition_number(char *number)
 {
         if (number && strlen(number)) {
                 if (*number=='1' || *number=='2' || *number=='3' ||
diff -ubr evms-2.3.2/plugins/dos/segs.h evms-2.3.2-fix/plugins/dos/segs.h
--- evms-2.3.2/plugins/dos/segs.h	2003-12-11 11:48:09.000000000 -0600
+++ evms-2.3.2-fix/plugins/dos/segs.h	2004-05-18 11:53:47.000000000 -0500
@@ -28,6 +28,7 @@
 extern list_anchor_t     Disk_PrivateData_List;
 
 
+boolean            isa_partition_number(char *number);
 char *             get_disk_name( storage_object_t *seg );
 int                get_name_for_disk_segment( DISKSEG *seg );
 DISKSEG *          allocate_disk_segment( LOGICALDISK *ld );
